Subject: Re: [PATCH 0/2] fec: move ColdFire setup code out of FEC driver

From: Greg Ungerer <[email-masked]>
Date: Thu, 19 Feb 2009 07:53:49 +1000

Hi Sacha,

Sascha Hauer wrote:
> On Tue, Feb 17, 2009 at 10:53:01AM +1000, Greg Ungerer wrote:
>> Hi Sascha,
>>
>> The following 2 patches move the ColdFire specific FEC setup code
>> into the ColdFire CPU platform setup code.
> 
> Looks good to me, though I can't apply them. To which tree should
> they apply?

They would go on top of your last FEC patch sets.
(At least that is what I used as the base).

>> There is still a little remaining legacy code that needs taking
>> care of in fec.c. The flash reading MAC setup code and the MII
>> link interrupts of the 5272 are still in there.
> 
> maybe the board setup code could copy the MAC Address from the
> flash directly to the device. The driver will pick it up from
> there.

Yes, that could work.

Thanks
Greg

------------------------------------------------------------------------
Greg Ungerer  --  Principal Engineer        EMAIL:     [email-masked]
SnapGear, a McAfee Company                  PHONE:       +61 7 3435 2888
825 Stanley St,                             FAX:         +61 7 3891 3630
Woolloongabba, QLD, 4102, Australia         WEB: http://www.SnapGear.com